## chroma 1.18-2

=== debian/changelog ===
chroma (1.18-2) unstable; urgency=low

  * Fix copy-paste error in chroma package description (Closes: #984481)

 -- Simon Tatham <anakin@pobox.com>  Thu, 04 Mar 2021 06:54:27 +0000

chroma (1.18-1) unstable; urgency=low

  * Initial release.

 -- Simon Tatham <anakin@pobox.com>  Sat, 16 Jan 2021 14:31:43 +0000
