## chroma 1.19-1

=== debian/changelog ===
chroma (1.19-1) unstable; urgency=low

  * New upstream release. (Closes: #997147)

 -- Simon Tatham <anakin@pobox.com>  Tue, 26 Oct 2021 17:43:34 +0100
