=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games

override_dh_auto_build-arch:
	dh_auto_build
	cd resources && ./make-graphics.sh
	cd resources && ../debian/make-debian-icons.py
