## chroma 1.19-1ubuntu1

=== debian/changelog ===
chroma (1.19-1ubuntu1) unstable; urgency=low

  * Fix build process to isolate inkscape from $HOME and the GUI.
    (Closes: #997904)
  * Fix generation of images using Inkscape >= 1.0.

 -- Simon Tatham <anakin@pobox.com>  Wed, 27 Oct 2021 18:51:17 +0100
