=== debian/control ===
Source: chroma
Maintainer: Simon Tatham <anakin@pobox.com>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               imagemagick,
               inkscape,
               libfreetype-dev,
               libncurses5-dev,
               librsvg2-bin,
               libsdl1.2-dev,
               libsdl-image1.2-dev,
               netpbm,
               pngcrush,
               python3
Standards-Version: 4.5.1.0
Homepage: http://level7.org.uk/chroma/
Rules-Requires-Root: no

Package: chroma-data
Architecture: all
Description: Abstract puzzle game - data files
 This package contains architecture-independent data shared between
 the graphical and terminal versions of Chroma, such as the level
 designs and help.
 .
 This package is not intended to be installed directly. It is a
 dependency of the 'chroma' and 'chroma-curses' packages.

Package: chroma-curses
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         chroma-data
Description: Abstract puzzle game - terminal version
 Chroma is an abstract puzzle game. A variety of colourful shapes are
 arranged in a series of increasingly complex patterns, forming
 fiendish traps that must be disarmed and mysterious puzzles that must
 be manipulated in order to give up their subtle secrets. Initially so
 straightforward that anyone can pick it up and begin to play, yet
 gradually becoming difficult enough to tax even the brightest of
 minds. Have you got what it takes to solve Chroma?
 .
 A graphical version of this game is available in the 'chroma'
 package.

Package: chroma
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         chroma-data,
         fonts-dejavu-core
Description: Abstract puzzle game - graphical version
 Chroma is an abstract puzzle game. A variety of colourful shapes are
 arranged in a series of increasingly complex patterns, forming
 fiendish traps that must be disarmed and mysterious puzzles that must
 be manipulated in order to give up their subtle secrets. Initially so
 straightforward that anyone can pick it up and begin to play, yet
 gradually becoming difficult enough to tax even the brightest of
 minds. Have you got what it takes to solve Chroma?
 .
 A terminal-based version of this game is available in the
 'chroma-curses' package.
