=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 override_dh_auto_build-arch:
 	dh_auto_build
-	cd resources && ./make-graphics.sh
+	cd resources && env HOME=$$PWD GDK_BACKEND= ./make-graphics.sh
 	cd resources && ../debian/make-debian-icons.py
