## chroma 1.19-2

=== debian/changelog ===
chroma (1.19-2) unstable; urgency=low

  * No-change upload to cancel NMU re #1007426
    and fix spuriuous "ubuntu" in version.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 11 Dec 2022 17:54:27 +0000
