## chroma 1.19-2build1

=== debian/changelog ===
chroma (1.19-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 20:28:33 +0000
